import Component from '../../component.js'

export default class MatMenu extends Component {
    constructor(parent) {
        let selector = 'mat-menu';
        super(parent, selector);
        // https://github.com/angular/components/blob/master/src/material/menu/menu.html
    }
    get matMenuPanel() {
        return this.currentPath + '//div[contains(@class,"mat-menu-panel")]';
    }
    get matMenuContent() {
      return this.matMenuPanel + '//div[contains(@class,"mat-menu-content")]';
  }
}
